from pathlib import Path
from typing import List

__all__ = ["__version__"]

def get_folder() -> Path:
    return Path(__file__).parent / "data"


def list_filepaths() -> List[Path]:
    # List all files in get_data_path():
    return [f for f in get_folder().iterdir()]


def get_filepath(filename: str) -> Path:
    if not filename.endswith(".fgb"):
        raise ValueError("Ensure that the filename ends with '.fgb'")
    if get_folder() / filename not in list_filepaths():
        raise FileNotFoundError(f"{filename} not found among shapefiles")

    return get_folder() / filename


if __name__ == "__main__":
    print(list_filepaths())
